package com.guwan.backend.service;

import com.guwan.backend.dto.user.LoginDto;
import com.guwan.backend.dto.user.RegisterDTO;
import com.guwan.backend.dto.user.UserDTO;

public interface UserService {
    /**
     * 用户注册
     * @param registerDTO
     * @return
     */
    UserDTO register(RegisterDTO registerDTO);

    /**
     * 登录
     * @param request
     * @return
     */
    UserDTO login(LoginDto request);
    UserDTO getCurrentUser();
    Long getCurrentUserId();
    UserDTO getUserById(Long id);
    UserDTO updateUserInfo(UserDTO userDTO);

    void resetPassword(String email);
    public String refreshToken(String token);

    UserDTO findByUsername(String username);
    UserDTO findByEmail(String email);
    UserDTO findByPhone(String phone);
}