package com.guwan.backend.service.impl;

import com.guwan.backend.service.FileService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.File;
import java.io.FileOutputStream;
import java.util.Base64;
import java.util.UUID;

@Slf4j
//@Service  // 注释掉这个注解
public class FileServiceImpl implements FileService {

    @Value("${file.upload.path}")
    private String uploadPath;

    @Override
    public String uploadBase64Image(String base64Image, String folder) {
        try {
            // 解码Base64图片
            String[] parts = base64Image.split(",");
            byte[] imageBytes = Base64.getDecoder().decode(parts[1]);

            // 生成文件名
            String fileName = UUID.randomUUID().toString() + ".jpg";
            String folderPath = uploadPath + "/" + folder;
            String filePath = folderPath + "/" + fileName;

            // 创建目录
            new File(folderPath).mkdirs();

            // 写入文件
            try (FileOutputStream fos = new FileOutputStream(filePath)) {
                fos.write(imageBytes);
            }

            return folder + "/" + fileName;
        } catch (Exception e) {
            log.error("上传图片失败", e);
            throw new RuntimeException("上传图片失败", e);
        }
    }
} 